> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# List Payment Sources

GET https://api.givechariot.com/v1/payment_sources

List payment sources for your Chariot account.

Payment Sources represent segregated addresses for incoming deposits.
In practice, this can be separate electronic bank addresses (account + routing numbers) or physical mailing addresses (lockboxes).
Payment Sources make it easy to independently manage and consolidate incoming payments and donations from different sources
which in turn makes reconciliation of money and data seamless.
Every Payment Source belongs to a specific Financial Account and can be thought of as a gateway/door for money to flow into the Financial Account.
Payment Sources are not separately ledgered which means you can't get the balance of a Payment Source separately from the Financial Account.

Payment Sources should be setup and managed through the Chariot Dashboard.

Reference: https://docs.givechariot.com/api/payment-sources/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Query parameters

- `limit` (integer, optional) — Limit the size of the list that is returned. The default (and maximum) is 100 objects.
- `page_token` (string, optional) — The cursor to use for pagination. If not set, the first page of results will be returned.

## Response

### 200

The response for PaymentSources.list

- `results` (list of PaymentSource, optional)
- `next_page_token` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### PaymentSource

A Payment Source represents a segregated address for incoming deposits. In practice, this can be separate electronic bank addresses (account + routing numbers) or physical mailing addresses (lockboxes). Payment Sources make it easy to independently manage and consolidate incoming payments and donations from different sources which in turn makes reconciliation of money and data seamless. Every Payment Source belongs to a specific Financial Account and can be thought of as a gateway/door for money to flow into the Financial Account. Payment Sources are not separately ledgered which means you can't get the balance of a Payment Source separately from the Financial Account.

- `id` (string, optional) — The unique identifier for the payment source
- `financial_account_id` (string, optional) — The unique identifier for the financial account that the payment source belongs to
- `name` (string, optional) — The name of the payment source
- `source_type` (enum, optional) — The type of the payment source
  - Allowed values: `manual`, `portal`, `lockbox`, `grantmaker`
- `financial_address` (FinancialAddress, optional) — A subhash containing information about the electronic bank address payment rail details. This is only available for manual and connected_account payment sources.
- `lockbox` (Lockbox, optional) — A Lockbox represents a physical mailing address operated by a third-party provider (e.g., Stable, CDS) that receives physical mail and scans checks on Chariot's behalf. Lockboxes are the source of Mail Items, which in turn produce Donations and Deposits. Lockboxes are provisioned and managed by Chariot in partnership with the provider.
- `created_at` (datetime, optional) — The date and time when the payment source was created
- `updated_at` (datetime, optional) — The date and time when the payment source was last updated

### FinancialAddress

A subhash containing information about the electronic bank address payment rail details. This is only available for manual and connected_account payment sources.

- `ach` (AchAddress, optional) — A subhash containing information about the electronic bank address payment rail details.

### Lockbox

A Lockbox represents a physical mailing address operated by a third-party provider (e.g., Stable, CDS) that receives physical mail and scans checks on Chariot's behalf. Lockboxes are the source of Mail Items, which in turn produce Donations and Deposits. Lockboxes are provisioned and managed by Chariot in partnership with the provider.

- `id` (string, required) — The unique identifier for the lockbox.
- `created_at` (datetime, required) — The date and time when the lockbox was created.
- `address` (PostalAddress, optional) — The physical mailing address for the lockbox.
- `updated_at` (datetime, optional) — The date and time when the lockbox was last updated.

### AchAddress

A subhash containing information about the electronic bank address payment rail details.

- `account_number` (string, required) — The account number of that uniquely identifies the account at the institution
- `routing_number` (string, required) — The American Bankers' Association (ABA) Routing Transit Number (RTN) for the destination account.

### PostalAddress

A postal address is a mailing address where physical mail can be received. Postal addresses can be used to receive paper checks.

- `city` (string, required) — City, district, suburb, town, or village.
- `country` (string, required) — Two-letter country code (https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
- `line1` (string, required) — Address line 1 (e.g. street, PO Box, or company name)
- `postal_code` (string, required) — ZIP or postal code
- `state` (string, required) — State, county, province, or region
- `line2` (string, optional) — Address line 2 (e.g. apartment, suite, unit, or building)

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "payment_source_01j8rs605a4gctmbm58d87mvsj",
      "financial_account_id": "fa_01j8rs605a4gctmbm58d87mvsj",
      "name": "Main Payment Source",
      "source_type": "portal",
      "financial_address": {
        "ach": {
          "account_number": "987654321",
          "routing_number": "101050001"
        }
      },
      "lockbox": {
        "id": "lockbox_01j8rs605a4gctmbm58d87mvsj",
        "created_at": "2020-01-31T23:59:59Z",
        "address": {
          "city": "New York",
          "country": "US",
          "line1": "123 Main St.",
          "postal_code": "12345",
          "state": "NY",
          "line2": "Suite 2504"
        },
        "updated_at": "2020-01-31T23:59:59Z"
      },
      "created_at": "2020-01-31T23:59:59Z",
      "updated_at": "2020-01-31T23:59:59Z"
    }
  ],
  "next_page_token": "string"
}
```